# Create a section with a multiple or dropdown element

{% tabs %}
{% tab title="cURL" %}

```bash
curl https://mburger.cloud/api/blocks/<id>/sections
-X POST 
-H "Accept: application/json" 
-H "Content-Type: application/x-www-form-urlencoded"
-H "X-MBurger-Token: <token>" 
-H "X-MBurger-Version: 3"
-d 'elements[<locale>][dropdown]=<value>'
-d 'elements[<locale>][multiple]=<value>'
```

{% endtab %}

{% tab title="iOS SDK" %}

```swift
let factory = MBUploadableElementsFactory(localeIdentifier: "en")
let elements = [
    factory.createDropdownElement(name: DROPDOWN_ELEMENT_NAME,
                                  value: VALUE_SELECTED),
    factory.createMultipleElement(name: MULTIPLE_ELEMENT_NAME,
                                  values: [SELECTED_ELEMENT1, SELECTED_ELEMENT2])
]
        
MBAdmin.addSectionToBlock(withBlockId: BLOCK_ID,
                          elements: elements,
                          success: { sectionId in
                                    
                          },
                          failure: { error in
                                    
                          })
```

{% endtab %}

{% tab title="Android SDK" %}

```kotlin
val multiple_values = ArrayList<String>
multiple_values.add(YOUR_VALUE1)
multiple_values.add(YOUR_VALUE2)

val params = ArrayList<MBAdminGenericParameter>()
//Dropdown
params.add(MBAdminDropdownParameter(ELEM_NAME, DROPDOWN_VALUE))
//Multiple values
params.add(MBAdminMultipleSelectionParameter(ELEM_NAME, multiple_values))

val addSectionListener = object: MBAdminAddSectionListener{
            override fun onSectionAdded(section_id: Long) {
            }

            override fun onSectionAddedError(error: String) {
            }
        }

MBurgerAdminTasks.addSection(
                    context = applicationContext, 
                    block_id = BLOCK_ID, 
                    listener = addSectionListener, 
                    params = params,
                    locale = Locale.getDefault().getLanguage());
```

{% endtab %}

{% tab title="PHP SDK" %}

```
```

{% endtab %}

{% tab title="JS SDK" %}

```
// POST actions are not available atm on our JS SDK.
// If it could be interesting for you, please submit 
// a feature request here:
// https://support.mburger.cloud/hc/en-us/community/topics/360000550497-Feature-Request?
```

{% endtab %}

{% tab title="Flutter SDK" %}

```dart
MBUploadableElementsFactory factory = MBUploadableElementsFactory('en');
List<MBUploadableElement> elements = [
  factory.createDropdownElement(DROPDOWN_ELEMENT_NAME, VALUE_SELECTED),
  factory.createDropdownElement(MULTIPLE_ELEMENT_NAME, [SELECTED_ELEMENT1, SELECTED_ELEMENT2]),
];
await MBAdmin.shared.addSectionToBlock(BLOCK_ID, elements);
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Value of&#x20;

```bash
"elements[<locale>][multiple]"
```

&#x20;must be an array of string
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mburger.cloud/how-to/advanced-section-creation/create-a-section-with-a-multiple-or-dropdown-element.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
